All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreNodeAsStringHelper Class Reference

safely manages the return values to AbstractQoreNode::getAsString(), stack only, cannot be dynamically allocated More...

`#include <QoreStringNode.h>`

## Public Member Functions

DLLEXPORT | QoreNodeAsStringHelper (const AbstractQoreNode *n, int format_offset, ExceptionSink *xsink)
| makes the call to AbstractQoreNode::getAsString() and manages the return values
DLLEXPORT | QoreNodeAsStringHelper (const QoreValue n, int format_offset, ExceptionSink *xsink)
| makes the call to AbstractQoreNode::getAsString() and manages the return values
DLLEXPORT | ~QoreNodeAsStringHelper ()
| destroys the object and deletes the QoreString pointer being managed if it was a temporary pointer
DLLEXPORT QoreString * | giveString ()
| returns a copy of the QoreString that the caller owns More...
DLLLOCAL const QoreString * | operator* ()
| returns the object being managed More...
DLLLOCAL const QoreString * | operator-> ()
| returns the object being managed More...

## Detailed Description

safely manages the return values to AbstractQoreNode::getAsString(), stack only, cannot be dynamically allocated

// FMT_NONE gives all information on a single line
QoreNodeAsStringHelper str(n, FMT_NONE, xsink);
if (*xsink)
return 0;
printf("str='%s'\n", str->getBuffer());

## Member Function Documentation

DLLEXPORT QoreString* QoreNodeAsStringHelper::giveString | ( |  | ) |

returns a copy of the QoreString that the caller owns

the object may be left empty after this call

Returns
  a QoreString pointer owned by the caller

DLLLOCAL const QoreString* QoreNodeAsStringHelper::operator* | ( |  | ) |

inline

returns the object being managed

Returns
  the object being managed

DLLLOCAL const QoreString* QoreNodeAsStringHelper::operator-> | ( |  | ) |

inline

returns the object being managed

Returns
  the object being managed

The documentation for this class was generated from the following file:

- include/qore/QoreStringNode.h (79e5dd4f976dab9d74ec8272aec97c21df86c597)